Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.FrameworkSigner Class Referencesealed
Inheritance diagram for Zwipe.Build.Tools.Signing.FrameworkSigner:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.FrameworkSigner:
[legend]

## Public Member Functions
| FrameworkSigner (string codeSignPath, string pfxPath, string pfxPassword, string timestampUrl)
| FrameworkSigner (string codeSignPath, ISignProvider provider, IDictionary< string, string > parameters)
| FrameworkSigner (string signToolPath, ISignProvider provider, ISignConfigurationProvider parameters)
| FrameworkSigner (string codeSignPath, ISignProvider signProvider, string timestampUrl)
override string[] | Sign (string filePath)
Public Member Functions inherited from Zwipe.Build.Tools.Signing.Signer
string[] | Sign (string filePath)

## Static Private Member Functions
static string | SignFile (string codeSignPath, ISignProvider signProvider, string timestampUrl, string libraryFilePath)
static void | DeleteKeyChain (string keyChain)
static string | ExecuteCommand (string fileName, string arguments)
static string | CreateRandomPassword (int length)
static IEnumerable< string > | CleanKeyChains (string raw)
static IEnumerable< string > | GetExistingKeyChains ()
static string | CreateKeyChain (string codeSignPath, ISignProvider signProvider)

## Private Attributes
readonly string | _codeSignPath
readonly ISignProvider | _signProvider
readonly string | _timestampUrl

## Constructor & Destructor Documentation

## ◆ FrameworkSigner() [1/4]

Zwipe.Build.Tools.Signing.FrameworkSigner.FrameworkSigner | ( | string | codeSignPath,
|  | string | pfxPath,
|  | string | pfxPassword,
|  | string | timestampUrl )

## ◆ FrameworkSigner() [2/4]

Zwipe.Build.Tools.Signing.FrameworkSigner.FrameworkSigner | ( | string | codeSignPath,
|  | ISignProvider | provider,
|  | IDictionary< string, string > | parameters )

## ◆ FrameworkSigner() [3/4]

Zwipe.Build.Tools.Signing.FrameworkSigner.FrameworkSigner | ( | string | signToolPath,
|  | ISignProvider | provider,
|  | ISignConfigurationProvider | parameters )

## ◆ FrameworkSigner() [4/4]

Zwipe.Build.Tools.Signing.FrameworkSigner.FrameworkSigner | ( | string | codeSignPath,
|  | ISignProvider | signProvider,
|  | string | timestampUrl )

## Member Function Documentation

## ◆ CleanKeyChains()

IEnumerable< string > Zwipe.Build.Tools.Signing.FrameworkSigner.CleanKeyChains | ( | string | raw | ) |
| static private

Here is the caller graph for this function:

## ◆ CreateKeyChain()

string Zwipe.Build.Tools.Signing.FrameworkSigner.CreateKeyChain | ( | string | codeSignPath,
|  | ISignProvider | signProvider )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CreateRandomPassword()

string Zwipe.Build.Tools.Signing.FrameworkSigner.CreateRandomPassword | ( | int | length | ) |
| static private

Here is the caller graph for this function:

## ◆ DeleteKeyChain()

void Zwipe.Build.Tools.Signing.FrameworkSigner.DeleteKeyChain | ( | string | keyChain | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ExecuteCommand()

string Zwipe.Build.Tools.Signing.FrameworkSigner.ExecuteCommand | ( | string | fileName,
|  | string | arguments )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetExistingKeyChains()

IEnumerable< string > Zwipe.Build.Tools.Signing.FrameworkSigner.GetExistingKeyChains | ( |  | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Sign()

override string[] Zwipe.Build.Tools.Signing.FrameworkSigner.Sign | ( | string | filePath | ) |

Here is the call graph for this function:

## ◆ SignFile()

string Zwipe.Build.Tools.Signing.FrameworkSigner.SignFile | ( | string | codeSignPath,
|  | ISignProvider | signProvider,
|  | string | timestampUrl,
|  | string | libraryFilePath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ _codeSignPath

readonly string Zwipe.Build.Tools.Signing.FrameworkSigner._codeSignPath
| private

## ◆ _signProvider

readonly ISignProvider Zwipe.Build.Tools.Signing.FrameworkSigner._signProvider
| private

## ◆ _timestampUrl

readonly string Zwipe.Build.Tools.Signing.FrameworkSigner._timestampUrl
| private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/FrameworkSigner.cs